package parziale.p251110;

public class Paziente implements Comparable<Paziente> {

	private String id;
	private int annoNascita;
	
	public Paziente(
			String id, 
			int annoNascita) {
		this.id = id;
		this.annoNascita = annoNascita;
	}
	
	public String getId() {
		return id;
	}
	
	public int getAnnoNascita() {
		return annoNascita;
	}
	
	@Override
	public boolean equals(Object o) {
		if (o == null) return false;
		if (this == o) return true;
		if (!(o instanceof Paziente)) return false;
		
		Paziente p = (Paziente) o;
		
		return id.equals(p.id);
	}
	
	@Override
	public int compareTo(Paziente p) {
		if (annoNascita < p.annoNascita) return -1;
		if (annoNascita > p.annoNascita) return 1;
		return id.compareTo(p.id);
	}
	
}
